net.sourceforge.pmd.lang.ecmascript.ast

## Class ASTForInLoop

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.AbstractNode
  - - net.sourceforge.pmd.lang.ecmascript.ast.AbstractEcmascriptNode<org.mozilla.javascript.ast.ForInLoop>
    - - net.sourceforge.pmd.lang.ecmascript.ast.ASTForInLoop

All Implemented Interfaces:
  Node, EcmascriptNode<org.mozilla.javascript.ast.ForInLoop>

    public class ASTForInLoop
    extends AbstractEcmascriptNode<org.mozilla.javascript.ast.ForInLoop>

### Field Summary

### Fields inherited from class net.sourceforge.pmd.lang.ecmascript.ast.AbstractEcmascriptNode

`node`

### Fields inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`beginColumn, beginLine, children, endColumn, endLine, id, parent`

### Constructor Summary

Constructors
Constructor and Description
`ASTForInLoop(org.mozilla.javascript.ast.ForInLoop forInLoop)`

### Method Summary

Methods
`EcmascriptNode` `getBody()`
`EcmascriptNode` `getIteratedObject()`
`EcmascriptNode` `getIterator()`
`boolean` `isForEach()`
`Object` `jjtAccept(EcmascriptParserVisitor visitor, Object data)` Accept the visitor.

### Methods inherited from class net.sourceforge.pmd.lang.ecmascript.ast.AbstractEcmascriptNode

`childrenAccept, getJsDoc, getNode, hasSideEffects, toString`

### Methods inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`appendElement, findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDecendantOfAnyType, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, isSingleLine, jjtAddChild, jjtClose, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDataFlowNode, setImage, setUserData, testingOnly__setBeginColumn, testingOnly__setBeginLine, testingOnly__setEndColumn, testingOnly__setEndLine`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.sourceforge.pmd.lang.ast.Node

`findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, jjtAddChild, jjtClose, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDataFlowNode, setImage, setUserData`

### Constructor Detail

#### ASTForInLoop

    public ASTForInLoop(org.mozilla.javascript.ast.ForInLoop forInLoop)

### Method Detail

#### jjtAccept

    public Object jjtAccept(EcmascriptParserVisitor visitor,
                   Object data)

Accept the visitor.

Specified by:
  `jjtAccept` in interface `EcmascriptNode<org.mozilla.javascript.ast.ForInLoop>`
Overrides:
  `jjtAccept` in class `AbstractEcmascriptNode<org.mozilla.javascript.ast.ForInLoop>`

#### getIterator

    public EcmascriptNode getIterator()

#### getIteratedObject

    public EcmascriptNode getIteratedObject()

#### getBody

    public EcmascriptNode getBody()

#### isForEach

    public boolean isForEach()